Subject: [PATCH 1/3] irq: If an IRQ is a GPIO, request and configure it

From: [email-masked] (Mark Brown)
Date: Fri, 5 Aug 2011 09:29:21 +0100

On Fri, Aug 05, 2011 at 09:06:20AM +0100, Ben Dooks wrote:

> I would say that setting the interrupt should deal with all the necessary
> configuration to get that interrupt working. In the case of pretty much all
> of the SoCs I have been involved with have always set the GPIO's function
> to allow the interrupt to pass through.

That's what Stephen is trying to do, essentially.  It's looking like
it's more sensible to fix it in the Tegra interrupt drivers, though.